<template>
  <BasicModal
    width="800px"
    title="添加"
    @register="registerModal"
    v-bind="$attrs"
    @ok="handleSubmit"
  >
    <BasicForm @register="registerForm" />
  </BasicModal>
</template>
<script lang="ts" setup>
  import { BasicModal, useModalInner } from '/@/components/Modal';
  import { BasicForm, useForm } from '/@/components/Form/index';
  import { vedioFormScheme } from './vedioForm.data';

  const [registerModal, { closeModal }] = useModalInner();
  const [registerForm] = useForm({
    labelWidth: 100,
    schemas: vedioFormScheme,
    showActionButtonGroup: false,
    actionColOptions: {
      span: 18,
    },
  });

  function handleSubmit() {
    closeModal();
  }
</script>
<style lang="less" scoped></style>
